# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'random_outcome/version'

Gem::Specification.new do |spec|
  spec.name          = "random_outcome"
  spec.version       = RandomOutcome::VERSION
  spec.authors       = ["Nigel Lowry"]
  spec.email         = ["nigel-lowry@ultra.eclipse.co.uk"]

  spec.summary       = %q{Small gem for generating random outcomes.}
  spec.description   = %q{Useful or gaming.}
  spec.homepage      = "https://github.com/nigel-lowry/random_outcome"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 11.2.2"
  spec.add_development_dependency "yard", "~> 0.9.5"
  spec.add_development_dependency "rspec", "~> 3.5.0"

  spec.add_dependency "activesupport", "5.0.0.1"
end
